2019-12-06 22:01 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002154NetSurfLayoutpublic2015-03-10 11:11
ReporterRichard Porter 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRiscPCOSRISC OSOS Version6.14
Product Version3.1 
Target Version3.2Fixed in Version3.2 
Summary0002154: Ordered list numbering after line break.
DescriptionI created a document which included some ordered lists for the purpose of paragraph numbering. All was well except that there was no gap between the list items. I inserted line breaks before each list element, upon which the numbering reverted to 1 for each item.
Steps To Reproduce

  1. asfdafadsf



  2. fglagaflgjld

Additional InformationThis is probably bad html and it would be better to put the break within the previous list item.
TagsNo tags attached.
Fixed in CI build #2020
Reported in CI build #
URL of problem page
Attached Files
  • html file icon test-list.html (163 bytes) 2014-07-17 08:39
  • ? file icon x (464 bytes) 2014-07-17 15:20 -
    | <!DOCTYPE html>
        | <html>
        |   <head>
        |     "
        "
        |     <title>
        |       "List numbering test"
        |     "
        "
        |   "
        
        "
        |   <body>
        |     "
        "
        |     <ol>
        |       "
        "
        |       <li>
        |         "One."
        |       <br>
        |       "
        "
        |       <li>
        |         "Two."
        |       <br>
        |       "Hi
        "
        |       <li>
        |         "Three."
        |       "
        "
        |     "
        
        
        "
    
    
    ? file icon x (464 bytes) 2014-07-17 15:20 +

-Relationships
+Relationships

-Notes
Michael Drake

~0000406

Michael Drake (administrator)

Last edited: 2014-07-17 08:41

View 2 revisions

Attached an example.

It is indeed bad HTML, but we should cope with it.

Rupinder Singh Khokhar

~0000411

Rupinder Singh Khokhar (reporter)

Last edited: 2014-07-17 15:20

View 3 revisions

I'm not very sure whether something's wrong with hubbub. Attached is the output tree from it. <Filename: x> sorry for the bad naming.

Vincent Sanders

~0000715

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-06-19 14:43 Richard Porter New Issue
2014-06-19 20:37 Vincent Sanders Assigned To => Michael Drake
2014-06-19 20:37 Vincent Sanders Status new => acknowledged
2014-06-19 20:37 Vincent Sanders Category RISC OS-specific => Layout
2014-06-19 20:37 Vincent Sanders Steps to Reproduce Updated View Revisions
2014-07-17 08:39 Michael Drake File Added: test-list.html
2014-07-17 08:40 Michael Drake Note Added: 0000406
2014-07-17 08:40 Michael Drake Status acknowledged => confirmed
2014-07-17 08:41 Michael Drake Note Edited: 0000406 View Revisions
2014-07-17 15:19 Rupinder Singh Khokhar Note Added: 0000411
2014-07-17 15:20 Rupinder Singh Khokhar File Added: x
2014-07-17 15:20 Rupinder Singh Khokhar Note Edited: 0000411 View Revisions
2014-07-17 15:20 Rupinder Singh Khokhar Note Edited: 0000411 View Revisions
2014-07-18 09:35 Michael Drake Fixed in CI build # => 2020
2014-07-18 09:35 Michael Drake Status confirmed => resolved
2014-07-18 09:35 Michael Drake Resolution open => fixed
2014-07-18 09:35 Michael Drake Product Version => 3.1
2014-07-18 09:35 Michael Drake Fixed in Version => 3.2
2014-07-18 09:35 Michael Drake Target Version => 3.2
2015-03-10 11:11 Vincent Sanders Note Added: 0000715
2015-03-10 11:11 Vincent Sanders Status resolved => closed
+Issue History